Skip to main content
GET
/
api
/
session
/
{sessionID}
/
message
Get session messages
curl --request GET \
  --url https://api.example.com/api/session/{sessionID}/message
import requests

url = "https://api.example.com/api/session/{sessionID}/message"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/api/session/{sessionID}/message', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": [
    {
      "id": "<string>",
      "time": {
        "created": 123
      },
      "type": "agent-switched",
      "agent": "<string>",
      "metadata": {}
    }
  ],
  "cursor": {
    "previous": "<string>",
    "next": "<string>"
  }
}
{
  "_tag": "InvalidCursorError",
  "message": "<string>"
}
{
  "_tag": "UnauthorizedError",
  "message": "<string>"
}
{
  "_tag": "SessionNotFoundError",
  "sessionID": "<string>",
  "message": "<string>"
}
{
  "_tag": "UnknownError",
  "message": "<string>",
  "ref": "<string>"
}

Path Parameters

sessionID
string
required
Pattern: ^ses

Query Parameters

limit
string | null

Maximum number of messages to return. When omitted, the endpoint returns its default page size.

order
enum<string> | null

Message order for the first page. Use desc for newest first or asc for oldest first.

Available options:
asc,
desc
cursor
string | null

Opaque pagination cursor returned as cursor.previous or cursor.next in the previous response. Do not combine with order.

Response

SessionMessagesResponse

data
object[]
required
cursor
object
required